Package com.salesforce.datacloud.jdbc.core

## Class HyperGrpcClientExecutor.HyperGrpcClientExecutorBuilder

- java.lang.Object
- - com.salesforce.datacloud.jdbc.core.HyperGrpcClientExecutor.HyperGrpcClientExecutorBuilder

Enclosing class:
  HyperGrpcClientExecutor

    public static class HyperGrpcClientExecutor.HyperGrpcClientExecutorBuilder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`HyperGrpcClientExecutor.HyperGrpcClientExecutorBuilder` `additionalQueryParams​(QueryParam additionalQueryParams)`
`HyperGrpcClientExecutor` `build()`
`HyperGrpcClientExecutor.HyperGrpcClientExecutorBuilder` `channel​(@NonNull io.grpc.ManagedChannel channel)`
`HyperGrpcClientExecutor.HyperGrpcClientExecutorBuilder` `interceptors​(List<io.grpc.ClientInterceptor> interceptors)`
`HyperGrpcClientExecutor.HyperGrpcClientExecutorBuilder` `queryTimeout​(int queryTimeout)`
`HyperGrpcClientExecutor.HyperGrpcClientExecutorBuilder` `settingsQueryParams​(QueryParam settingsQueryParams)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### channel

    public HyperGrpcClientExecutor.HyperGrpcClientExecutorBuilder channel​(@NonNull
                                                                          @NonNull io.grpc.ManagedChannel channel)

Returns:
  `this`.

#### additionalQueryParams

    public HyperGrpcClientExecutor.HyperGrpcClientExecutorBuilder additionalQueryParams​(QueryParam additionalQueryParams)

Returns:
  `this`.

#### settingsQueryParams

    public HyperGrpcClientExecutor.HyperGrpcClientExecutorBuilder settingsQueryParams​(QueryParam settingsQueryParams)

Returns:
  `this`.

#### queryTimeout

    public HyperGrpcClientExecutor.HyperGrpcClientExecutorBuilder queryTimeout​(int queryTimeout)

Returns:
  `this`.

#### interceptors

    public HyperGrpcClientExecutor.HyperGrpcClientExecutorBuilder interceptors​(List<io.grpc.ClientInterceptor> interceptors)

Returns:
  `this`.

#### build

    public HyperGrpcClientExecutor build()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`